Create a rule
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/rules/ \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"name": "<string>",
"expression": "<string>",
"effect": "dispatch",
"action_definition_id": "<string>",
"status": "active",
"priority": 123,
"phase": "<string>",
"effect_payload": "<unknown>"
}
'{
"data": {
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"status": "active",
"expression": "<string>",
"priority": 123,
"phase": "<string>",
"effect": "dispatch",
"action_definition_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"effect_payload": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"action_definition": {
"id": "<string>",
"org_id": "<string>",
"variant": "<string>",
"version": 123,
"alias": [
"<string>"
],
"schema": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"destinations": [
{
"id": "<string>",
"action_definition_id": "<string>",
"destination_id": "<string>",
"org_id": "<string>",
"is_default": true,
"destination": {
"id": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2
},
"deleted_at": "2023-11-07T05:31:56Z",
"tags": {},
"credential_id": "<string>"
}
}
]
}
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Create a rule
PUT
/
v1
/
orgs
/
{org_id}
/
rules
/
Create a rule
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/rules/ \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"name": "<string>",
"expression": "<string>",
"effect": "dispatch",
"action_definition_id": "<string>",
"status": "active",
"priority": 123,
"phase": "<string>",
"effect_payload": "<unknown>"
}
'{
"data": {
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"status": "active",
"expression": "<string>",
"priority": 123,
"phase": "<string>",
"effect": "dispatch",
"action_definition_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"effect_payload": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"action_definition": {
"id": "<string>",
"org_id": "<string>",
"variant": "<string>",
"version": 123,
"alias": [
"<string>"
],
"schema": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"destinations": [
{
"id": "<string>",
"action_definition_id": "<string>",
"destination_id": "<string>",
"org_id": "<string>",
"is_default": true,
"destination": {
"id": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2
},
"deleted_at": "2023-11-07T05:31:56Z",
"tags": {},
"credential_id": "<string>"
}
}
]
}
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Pattern:
^[0-9]+$Body
application/json
effect
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
required
Available options:
dispatch Available options:
active ⌘I